Page MenuHomePhabricator

Add tooltip to the "more languages" action to provide better context
Closed, ResolvedPublic

Description

As highlighted in T66793#2289607, despite the usefulness of having access to the relevant languages, recommendations always provide a degree of uncertainty (i.e., why am I offered Japanese and not German?).

To provide more clarity, a tooltip is proposed for "more" button of Compact Language links that communicates its functionality as well as some additional context (your choices are captured but the list does not limit to that).

The proposed text is: "All languages (initial selection from common choices by you and others)"

Details

Related Gerrit Patches:
mediawiki/extensions/UniversalLanguageSelector : masterAdd tooltip to the "more languages" action to provide better context

Event Timeline

Restricted Application added a project: UniversalLanguageSelector. · View Herald TranscriptMay 13 2016, 1:06 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald Transcript
Amire80 triaged this task as Medium priority.May 16 2016, 9:52 AM
Amire80 moved this task from Backlog to Appearance and design on the ULS-CompactLinks board.
Pginer-WMF updated the task description. (Show Details)May 16 2016, 10:04 AM

Change 289402 had a related patch set uploaded (by Nikerabbit):
Add tooltip to the "more languages" action to provide better context

https://gerrit.wikimedia.org/r/289402

Nikerabbit moved this task from Backlog to In Review on the Language-Q4-2016-Sprint 3 board.

Change 289402 merged by jenkins-bot:
Add tooltip to the "more languages" action to provide better context

https://gerrit.wikimedia.org/r/289402

Arrbee added a subscriber: Arrbee.May 31 2016, 5:51 AM

Verified on beta

Arrbee moved this task from QA to Done on the Language-Q4-2016-Sprint 3 board.May 31 2016, 5:51 AM
Arrbee closed this task as Resolved.May 31 2016, 6:53 AM